Package: org.grails.taglib

## [Java] Class TemplateVariableBindingMap

- org.grails.taglib.AbstractTemplateVariableBinding.TemplateVariableBindingMap

- All Implemented Interfaces and Traits:
    java.util.Map

      protected static final class AbstractTemplateVariableBinding.TemplateVariableBindingMap

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractTemplateVariableBinding.TemplateVariableBindingMap (AbstractTemplateVariableBinding binding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `boolean` | `containsKey(java.lang.Object key)`
    `` | `boolean` | `containsValue(java.lang.Object value)`
    `` | `java.util.Set` | `entrySet()`
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `boolean` | `isEmpty()`
    `` | `java.util.Set` | `keySet()`
    `` | `java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
    `` | `void` | `putAll(java.util.Map m)`
    `` | `java.lang.Object` | `remove(java.lang.Object key)`
    `` | `int` | `size()`
    `` | `java.util.Collection` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public AbstractTemplateVariableBinding.TemplateVariableBindingMap(AbstractTemplateVariableBinding binding)

  - ### Method Detail

    - #### public void clear()

    - #### public boolean containsKey(java.lang.Object key)

    - #### public boolean containsValue(java.lang.Object value)

    - #### public java.util.Set entrySet()

    - #### public java.lang.Object get(java.lang.Object key)

    - #### public boolean isEmpty()

    - #### public java.util.Set keySet()

    - #### public java.lang.Object put(java.lang.Object key, java.lang.Object value)

    - #### public void putAll(java.util.Map m)

    - #### public java.lang.Object remove(java.lang.Object key)

    - #### public int size()

    - #### @java.lang.SuppressWarnings("unchecked") public java.util.Collection values()